package fr.irisa.cairn.jnimap.isl;

import java.util.HashMap;
import java.util.Map;

/*** PROTECTED REGION ID(ISLASTLoopType_userImport) ENABLED START ***/
	/*
		Put you custom import here ....
	*/
/*** PROTECTED REGION END ***/

/**
 *  Automatically generated by jnimap 
 * @generated
 */

public class ISLASTLoopType  {

	int value;
	String name;

	/*** PROTECTED REGION ID(ISLASTLoopType_values) DISABLED START ***/
	public static final int ISL_AST_LOOP_DEFAULT = 0;
	public static final int ISL_AST_LOOP_ATOMIC = 1;
	public static final int ISL_AST_LOOP_UNROLL = 2;
	public static final int ISL_AST_LOOP_SEPARATE = 3;
	/*** PROTECTED REGION END ***/
	
	public static ISLASTLoopType isl_ast_loop_default = new ISLASTLoopType("isl_ast_loop_default", ISL_AST_LOOP_DEFAULT);
	public static ISLASTLoopType isl_ast_loop_atomic = new ISLASTLoopType("isl_ast_loop_atomic", ISL_AST_LOOP_ATOMIC);
	public static ISLASTLoopType isl_ast_loop_unroll = new ISLASTLoopType("isl_ast_loop_unroll", ISL_AST_LOOP_UNROLL);
	public static ISLASTLoopType isl_ast_loop_separate = new ISLASTLoopType("isl_ast_loop_separate", ISL_AST_LOOP_SEPARATE);
	
	public static ISLASTLoopType build(long value) {
		return getFromInt((int) value) ;
	}
	
	
	public static  ISLASTLoopType getFromInt(int value) {
		/*** PROTECTED REGION ID(ISLASTLoopType_getValues) DISABLED START ***/
		switch(value) {
			case ISL_AST_LOOP_DEFAULT:
			return isl_ast_loop_default;
			case ISL_AST_LOOP_ATOMIC:
			return isl_ast_loop_atomic;
			case ISL_AST_LOOP_UNROLL:
			return isl_ast_loop_unroll;
			case ISL_AST_LOOP_SEPARATE:
			return isl_ast_loop_separate;
				default :
					return null;
			}
		/*** PROTECTED REGION END ***/
	}

	private ISLASTLoopType(String name, int value) {
		this.value=value;
		this.name=name;
	}
	
	public int getValue() {
		return this.value;
	}

	public String getName() {
		return this.name;
	}
	
}
